import {GET,POST,FILE,FILEPOST,PUT,GETNOBASE} from "../api";
const indexUrl=  {
    'leftTop':'/bigscreen/countDeviceNum',//左上
    'leftCenter':'/bigscreen/countUserNum',//左中
    "centerMap":"/bigscreen/centerMap",
    "centerBottom":"/bigscreen/installationPlan",

    'leftBottom':"/bigscreen/leftBottom", //坐下
    'rightTop':"/bigscreen/alarmNum", //报警次数
    'rightBottom':'/bigscreen/rightBottom',//右下 
    'rightCenter':'/bigscreen/ranking',// 报警排名
    'consultationTrend':'/bigscreen/consultationTrend',// 咨询人数趋势图
    'teacherConsultStats':'/bigscreen/teacherConsultStats',// 教师咨询数据统计
    'studentDistribution':'/bigscreen/studentDistribution',// 学生用户属考生分布统计
    'highSchoolRanking':'/bigscreen/highSchoolRanking',// 用户量属高中排行
    'averageDuration':'/bigscreen/averageDuration',// 平均时长趋势
    'majorRanking':'/bigscreen/majorRanking',// 用户量属专业排行
    'commonQuestions':'/bigscreen/commonQuestions',// 常见咨询问题
}

export default indexUrl

/**左上--设备内总览 */
export const countDeviceNum=(param:any={})=>{
    return GET(indexUrl.leftTop,param)
}

/**左中--用户总览 */
export const countUserNum=(param:any={})=>{
    return GET(indexUrl.leftCenter,param)
}

/**左下--设备提醒 */
export const leftBottom=(param:any={})=>{
    return GET(indexUrl.leftBottom,param)
}

/**中上--地图 */
export const centerMap=(param:any={})=>{
    return GET(indexUrl.centerMap,param)
}

/**中下--安装计划 */
export const installationPlan=(param:any={})=>{
    return GET(indexUrl.centerBottom,param)
}

/**右上--报警次数 */
export const alarmNum=(param:any={})=>{
    return GET(indexUrl.rightTop,param)
}

/**右中--报警排名 */
export const ranking=(param:any={})=>{
    return GET(indexUrl.rightCenter,param)
}

/**右下--设备状态 */
export const rightBottom=(param:any={})=>{
    return GET(indexUrl.rightBottom,param)
}

/**咨询人数趋势图 */
export const consultationTrend=(param:any={})=>{
    return GET(indexUrl.consultationTrend,param)
}

/**教师咨询数据统计 */
export const teacherConsultStats=(param:any={})=>{
    return GET(indexUrl.teacherConsultStats,param)
}

/**学生用户属考生分布统计 */
export const studentDistribution=(param:any={})=>{
    return GET(indexUrl.studentDistribution,param)
}

/**用户量属高中排行 */
export const highSchoolRanking=(param:any={})=>{
    return GET(indexUrl.highSchoolRanking,param)
}

/**平均时长趋势 */
export const averageDuration=(param:any={})=>{
    return GET(indexUrl.averageDuration,param)
}

/**用户量属专业排行 */
export const majorRanking=(param:any={})=>{
    return GET(indexUrl.majorRanking,param)
}

/**常见咨询问题 */
export const commonQuestions=(param:any={})=>{
    return GET(indexUrl.commonQuestions,param)
}